For the latest news and information visit The GNU Crypto project

## gnu.crypto.tool
Class SMTPClient

    java.lang.Object
      |
      +--gnu.crypto.tool.SMTPClient

public class SMTPClient
extends java.lang.Object

Constructor Summary
`SMTPClient(java.lang.String mechanism, java.lang.String host, int port)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `work()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMTPClient

    public SMTPClient(java.lang.String mechanism,
                      java.lang.String host,
                      int port)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`

### work

    public void work()
              throws SaslException,
                     java.io.IOException,
                     java.lang.InterruptedException

    `SaslException`
    `java.io.IOException`
    `java.lang.InterruptedException`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.